Bug 97350 - (BIOS APM)Machine does not reboot or halt after kernel halt
(BIOS APM)Machine does not reboot or halt after kernel halt
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-13 10:59 EDT by Gael Jean
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gael Jean 2003-06-13 10:59:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Hardware :
PowerEdge 6400 4xXeon, Perc Raid Card. Last Dell Bios

Software :
Redhat 9 with last errata ( June, the 12th 2003 )

Problem :
When I type reboot or halt as root, everything goes fine during rc scripts and
during kernel stop until it tells "Rebooting..." or "Power Down." then nothing
happens. No power down or rebooting is done, the machine just stay like this.
Then, if I want my machine to stop, I have to use the power switch.
It does not happen with Redhat 8.0 on th same machine.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install Rehdat 9 on Dell PowerEdge 6400
2.Type halt as root

    

Actual Results:  Power does not stop

Expected Results:  Power stop ;)

Additional info:
Comment 1 Alan Cox 2003-06-22 14:00:44 EDT
We do shutdown/halt by calling the BIOS APM services. On some systems they do
randomly bizarre things like work only with some kernels. 

Does the same happen with the current errata kernel ?
Comment 2 Gael Jean 2003-06-23 04:33:46 EDT
I installed latest Erratas including kernel Erratas.
When I type 'apm', it tells : 'no apm bios found'.

The strange thing is that with RedHat 8, reboot/halt works fine.

Regards.
Comment 3 Bugzilla owner 2004-09-30 11:41:08 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.